curl "https://api.smartcar.com/v2.0/vehicles/{id}/security" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"action": "LOCK"}'
vehicle.lock()
vehicle.unlock()
vehicle.lock();
vehicle.unlock();
vehicle.lock();
vehicle.unlock();
vehicle.lock!
vehicle.unlock!
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Vehicle Commands (Legacy)
Lock & Unlock
Lock or unlock the vehicle.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/security" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"action": "LOCK"}'
vehicle.lock()
vehicle.unlock()
vehicle.lock();
vehicle.unlock();
vehicle.lock();
vehicle.unlock();
vehicle.lock!
vehicle.unlock!
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Remote commands are now available in API v3. We recommend using v3 for new command integrations. Commands remain available in v2.0 until it is deprecated.
Permission
control_security
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
string
required
LOCK or UNLOCK the vehicle’s doors.curl "https://api.smartcar.com/v2.0/vehicles/{id}/security" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"action": "LOCK"}'
vehicle.lock()
vehicle.unlock()
vehicle.lock();
vehicle.unlock();
vehicle.lock();
vehicle.unlock();
vehicle.lock!
vehicle.unlock!
Response
string
If the request is successful, Smartcar will return “success” (HTTP 200 status).
string
If the request is successful, Smartcar will return a message (HTTP 200 status).
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Was this page helpful?

